\begin{tabular}[t]{lrrr}
\toprule
{} & \textsc{\#solv.} & \textsc{time (s)} \\
\midrule
$\mathtt{VBS}(H)$    &            $574$ &          $52,175$ \\
$\mathtt{ASH}(H,8)$  &            $557$ &          $93,922$ \\
$\mathtt{ASH}(H,16)$ &            $556$ &          $94,844$ \\
$\mathtt{ASH}(H,1)$  &            $555$ &          $97,506$ \\
$\mathtt{ASH}(H,2)$  &            $555$ &          $99,044$ \\
$\mathtt{ASH}(H,4)$  &            $553$ &         $100,387$ \\
$\mathtt{UCB}(H)$    &            $550$ &         $115,210$ \\
$\mathtt{UNI}(H)$    &            $547$ &         $115,608$ \\
$\mathtt{cacd}$      &            $543$ &         $140,289$ \\
\bottomrule
\end{tabular}
